#include "quam/project.h"

#include <QAbstractItemModel>
#include <QErrorMessage>
#include <QMdiArea>
#include <QSortFilterProxyModel>

Project::Project(ArcDir &&arc, QErrorMessage *errors, QMdiArea *parent) :
	QMdiSubWindow{parent},
	Ui::Project{},
	m_arc{std::move(arc)},
	m_errors{errors},
	m_model{new ArcModel{&m_arc, this}},
	m_sorter{new QSortFilterProxyModel{this}}
{
	auto widget = new QWidget(this);
	setupUi(widget);
	setWidget(widget);
	setAttribute(Qt::WA_DeleteOnClose);
	showMaximized();

	m_sorter->setSourceModel(m_model);
	tableView->setModel(m_sorter);
}

Project::~Project() {
}

// EOF
