#pragma once

#include "common.h"

#include "quam/archive.h"
#include "quam/ui_project.h"

#include <QMainWindow>
#include <QMdiSubWindow>
#include <QWidget>

class QAbstractItemModel;
class QErrorMessage;
class QSortFilterProxyModel;

class Project : public QMdiSubWindow, private Ui::Project {
	Q_OBJECT

public:
	explicit Project(ArcDir &&arc, QErrorMessage *errors, QMdiArea *parent);
	virtual ~Project();

private:
	ArcDir                 m_arc;
	QErrorMessage         *m_errors;
	QAbstractItemModel    *m_model;
	QSortFilterProxyModel *m_sorter;
};

// EOF
